Page MenuHomePhabricator

Slim down the "alerts" icon pack to the bare essentials
Closed, ResolvedPublic

Description

Currently it has a bunch of stuff we don't use and probably never will, hence T139779: Kill badgeicons.json and use OOUI's icons-alerts.json instead exists. :-(

Event Timeline

Things to make and do:

  • “Signature“ to be moved to 'editing-core' pack?
  • Putting everything besides “Alerts” & “Notices” (which isn't even used as Notices) into another pack, f.e. “Notifications“. Doesn't seem to make much sense, just reasoning about making it smaller by dividing for different use cases VE/Notifications
  • (Re-)moving “Eye”/“EyeClosed” icons out of pack (prob to accessibility). @Prtksxna Are there any detailed plans on using those in FileAnnotations still?

CC: @Esanders @Jdforrester-WMF on first two bullets and other ideas? @RHo @Pginer-WMF for looping in.

  • (Re-)moving “Eye”/“EyeClosed” icons out of pack (prob to accessibility). @Prtksxna Are there any detailed plans on using those in FileAnnotations still?

Nope. We could move or remove it.

Change 373973 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE] icons: Move 'eye'/'eyeClosed' to 'accessibility'

https://gerrit.wikimedia.org/r/373973

Change 373988 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE] icons: Move 'signature' to 'editing-core'

https://gerrit.wikimedia.org/r/373988

Change 373973 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] icons: Move 'eye'/'eyeClosed' to 'accessibility'

https://gerrit.wikimedia.org/r/373973

Change 373988 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] icons: Move 'signature' to 'editing-advanced'

https://gerrit.wikimedia.org/r/373988

Volker_E updated the task description. (Show Details)Sep 6 2017, 5:29 PM

Change 376328 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [BREAKING CHANGE] icons: Remove 'signature' icon, deprecated in v0.23.0

https://gerrit.wikimedia.org/r/376328

Change 376330 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [BREAKING CHANGE] icons: Remove 'eye'/'eyeClosed' icons, deprecated in v0.23.0

https://gerrit.wikimedia.org/r/376330

Volker_E updated the task description. (Show Details)Sep 6 2017, 7:04 PM

Change 376330 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Remove 'eye'/'eyeClosed' icons, deprecated in v0.23.0

https://gerrit.wikimedia.org/r/376330

Change 376328 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Remove 'signature' icon, deprecated in v0.23.0

https://gerrit.wikimedia.org/r/376328

OK, now the icon pack is probably good to go – it has:

  • alert
  • bell
  • bellOn
  • comment
  • message
  • notice
  • speechBubble
  • speechBubbleAdd
  • speechBubbles
  • tray

Though only two of these are used on every page paint, most of the rest are used within the notification pull-out.

From here on that should get feedback from Collaboration team, @Catrope @Mooeypoo?

Volker_E added a comment.EditedDec 5 2017, 2:33 AM

In the very last breath of this task I've stumbled upon that we're currently not using 'bellOn' either. :}
Have involved Design team to clarify if we want to continue or remove it from OOUI icons… Answer pending.

Citing from conversation aside of Phab with @Pginer-WMF:

The active version of the bell is not used. I think it was planned for the mobile web, but never used or replaced by the current circle.
In general I'm in favour of our icon repo to represent a wider visual vocabulary beyond the icons we use in our products right now, as long as they can be useful in our ecosystem. But the "bellOn" seems too specific, and the potential use cases can be resolved with the regular bell instead. So I'm ok in removing it.

Volker_E updated the task description. (Show Details)Dec 6 2017, 12:47 AM
Volker_E removed a subscriber: gerritbot.

Change 395684 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE] icons: Flag unused 'bellOn' icon as to be removed

https://gerrit.wikimedia.org/r/395684

Change 395684 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] icons: Flag unused 'bellOn' icon as to be removed

https://gerrit.wikimedia.org/r/395684

Change 399469 had a related patch set uploaded (by Bartosz Dziewoński; owner: VolkerE):
[oojs/ui@v0.24.4] [DEPRECATING CHANGE] icons: Flag unused 'bellOn' icon as to be removed

https://gerrit.wikimedia.org/r/399469

Change 399469 merged by jenkins-bot:
[oojs/ui@v0.24.4] [DEPRECATING CHANGE] icons: Flag unused 'bellOn' icon as to be removed

https://gerrit.wikimedia.org/r/399469

Jdforrester-WMF updated the task description. (Show Details)

Change 406610 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[oojs/ui@master] [BREAKING CHANGE] icons: Remove 'bellOn', deprecated in v0.25.0

https://gerrit.wikimedia.org/r/406610

Jdforrester-WMF moved this task from Backlog to Waiting for breaking release on the OOUI board.

Change 406610 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Remove 'bellOn', deprecated in v0.25.0

https://gerrit.wikimedia.org/r/406610

Volker_E edited projects, added OOUI (OOUI-0.26.0); removed OOUI.
Volker_E closed this task as Resolved.Mar 20 2018, 8:03 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)